Ruby - Bug #3323

Spawning process on unicode path is not supported on windows
05/20/2010 06:32 PM - vo.x (Vit Ondruch)

Status: Closed

Priority: Normal

Assignee: usa (Usaku NAKAMURA)

Target version: 2.0.0

ruby -v: ruby 1.9.3dev (2010-05-20 trunk 27916) |Backport:
[(386-mingw32]

Description

=begin

Attached patch should address this issue.

=end

Related issues:
Is duplicate of Ruby - Bug #1771: system()/popen()/popen3() & windows & unico...

Closed

07/13/2009

History

#1 - 05/20/2010 06:44 PM - usa (Usaku NAKAMURA)

- Status changed from Open to Assigned

=begin
Encoding of the arguments of CreateChild() is not UTF-8, in many cases.
=end

#2 - 05/20/2010 06:55 PM - vo.x (Vit Ondruch)
=begin

ahh, sorry, | was too optimistic ...
=end

#3 - 05/26/2010 06:16 PM - usa (Usaku NAKAMURA)
- Target version changed from 1.9.2 to 2.0.0

=begin

=end

#4 - 06/03/2010 10:30 AM - usa (Usaku NAKAMURA)
- Category set to M17N

=begin

=end

#5 - 06/27/2011 04:13 PM - usa (Usaku NAKAMURA)

- Status changed from Assigned to Closed

fixed at r29166.

Files

CreateChild.patch 1.51 KB 05/20/2010

07/17/2025

vo.x (Vit Ondruch)

1/1



http://www.tcpdf.org

